package de.hdm_stuttgart.mi.sd1.figure.model;

/**
 *
 */
public class Circle extends Figure {

   private double radius;
   
   /**
    * Extending {@link Figure#Figure(double, double)} by adding parameter radius
    * on top of center coordinates.
    * 
    * @param x
    * @param y
    * @param radius
    */
   public Circle(double x, double y, double radius) {
      super(x, y);
      setRadius(radius);
   }
   
   public double getArea() {
     return radius * radius * Math.PI;
   }

   public double getPerimeter() {
     return 2 * Math.PI * radius;
   }

   // Getter and setter methods for private attribute
   public double getRadius() { return radius;}
   public void setRadius(double radius) { this.radius = radius;}
}
